Support.RunningOnWindows History

Hide minor edits - Show changes to markup

May 20, 2010, at 04:44 PM by nick - remove win9x section, recommend gtk 2.16, note gtk >= 2.8 req'd
Changed lines 2-3 from:

To run Geany under Windows you may need to install the GTK+ runtime libraries, depending on which download you use. If you use the full installer, a recent GTK runtime is included and you don't need any additional software, but the full installer requires at least Windows 2000 or newer.

to:

To run Geany under Windows you may need to install the GTK+ runtime libraries, depending on which download you use. If you use the full installer, a recent GTK runtime is included and you don't need any additional software.

Added lines 9-12:
  • GTK 2.16 is the most stable at the time of writing - if you have a higher version you should check the release notes to see if there are problems e.g. with theming.
  • Since Geany 0.16, GTK >= 2.8 is required, which in turn requires at least Windows 2000 or newer.
Deleted lines 14-16:

Windows 9x users

In order to run Geany on Windows 95, 98 or ME you need to compile Geany from source and you need to install the file SHFolder.dll either in the Geany installation directory or in your Windows directory. For the download and for more information please visit http://support.microsoft.com/kb/241733.

February 15, 2010, at 06:00 PM by dmaphy - consistently use headings
Changed line 1 from:

GTK+ runtime for Windows

to:

GTK+ runtime for Windows

Changed line 14 from:

Windows build differences

to:

Windows build differences

Changed line 22 from:

Windows developer tools

to:

Windows developer tools

April 30, 2009, at 05:37 PM by enrico - Update links for the GTK runtime environment
Changed lines 4-5 from:

If not using the full installer, you need to install one of the following:

to:

If not using the full installer, you need to install a GTK runtime environment, e.g.:

Changed lines 7-11 from:

http://downloads.sourceforge.net/pidgin/gtk-runtime-2.12.8-rev-a.exe

GTK+ runtime for Windows NT/ME/98/95: http://prdownloads.sourceforge.net/gimp-win/gtk%2B-2.6.10-20050823-setup.zip?download

to:

http://downloads.sourceforge.net/gtk-win/gtk2-runtime-2.16.1-2009-04-21-ash.exe

Changed lines 12-13 from:

In order to run Geany on Windows 95, 98 or ME you need to install the file SHFolder.dll either in the Geany installation directory or in your Windows directory. For the download and for more information please visit http://support.microsoft.com/kb/241733.

to:

In order to run Geany on Windows 95, 98 or ME you need to compile Geany from source and you need to install the file SHFolder.dll either in the Geany installation directory or in your Windows directory. For the download and for more information please visit http://support.microsoft.com/kb/241733.

March 16, 2008, at 03:18 PM by enrico -
Changed line 22 from:

FYI, the original announcement for the Geany 0.7 Windows build:

to:

FYI, the original announcement for the Geany 0.7 Windows build (mostly outdated):

March 16, 2008, at 03:15 PM by enrico - Update link for a recent GTK runtime environment
Changed lines 7-8 from:

http://prdownloads.sourceforge.net/gimp-win/gtk%2B-2.8.18-setup-1.zip?download

to:

http://downloads.sourceforge.net/pidgin/gtk-runtime-2.12.8-rev-a.exe

March 14, 2008, at 05:10 PM by nick - Edit runtime section, add win9x title, s/build tools/developer tools/, note g++ gcc dep
Changed lines 2-3 from:

To run Geany under Windows you may need the GTK+ runtime libraries installer, depending on which download you choose.

to:

To run Geany under Windows you may need to install the GTK+ runtime libraries, depending on which download you use. If you use the full installer, a recent GTK runtime is included and you don't need any additional software, but the full installer requires at least Windows 2000 or newer.

If not using the full installer, you need to install one of the following:

Changed lines 12-17 from:

The Geany Windows executable can be downloaded from the Releases page.

If you use the full installer, a recent GTK runtime is included and you don't need any additional software. The full installer requires at least Windows 2000 or newer.

Windows 9x users: in order to run Geany on Windows 95, 98 or ME you need to install the file SHFolder.dll either in the Geany installation directory or in your Windows directory. For more information please visit http://support.microsoft.com/kb/241733.

to:

(The Geany Windows executable can be downloaded from the Releases page.)

Windows 9x users

In order to run Geany on Windows 95, 98 or ME you need to install the file SHFolder.dll either in the Geany installation directory or in your Windows directory. For the download and for more information please visit http://support.microsoft.com/kb/241733.

Changed lines 25-27 from:

Windows build tools

Geany does not include any build tools such as compilers or interpreters, as we want to keep it lightweight. You will need to install any development tools yourself. Some links:

to:

Windows developer tools

Geany does not include any developer tools such as compilers or interpreters, as we want to keep it lightweight. You will need to install any development tools yourself. Some links:

Changed line 30 from:
  • gcc, g++, make - use Minimal GNU for Windows. You should download the 'Automated MinGW Installer' program, as it is harder to install each tool separately.
to:
  • gcc, g++, make - use Minimal GNU for Windows. You should download the 'Automated MinGW Installer' program, as it is harder to install each tool separately. Note that for g++ you also need to install gcc.
March 14, 2008, at 01:46 PM by nick - only need gtk runtime if installer doesn't include it
Changed lines 2-3 from:

To run Geany under Windows you need the GTK+ runtime libraries installer.

to:

To run Geany under Windows you may need the GTK+ runtime libraries installer, depending on which download you choose.

March 14, 2008, at 12:41 PM by nick - note: grep (needed for Find in Files)
Changed lines 27-28 from:
  • grep - use UnxUtils.
to:
  • grep (needed for Find in Files) - use UnxUtils.
March 14, 2008, at 12:38 PM by nick - Add Windows build tools section
Changed lines 22-29 from:

http://lists.uvena.de/pipermail/geany/2006-June/000134.html

to:

http://lists.uvena.de/pipermail/geany/2006-June/000134.html

Windows build tools

Geany does not include any build tools such as compilers or interpreters, as we want to keep it lightweight. You will need to install any development tools yourself. Some links:

  • grep - use UnxUtils.
  • gcc, g++, make - use Minimal GNU for Windows. You should download the 'Automated MinGW Installer' program, as it is harder to install each tool separately.
January 02, 2008, at 07:28 PM by enrico - Add note for Win9x users and shfolder.dll
Changed lines 12-13 from:

If you use the full installer, a GTK runtime is included and you don't need any additional software.

to:

If you use the full installer, a recent GTK runtime is included and you don't need any additional software. The full installer requires at least Windows 2000 or newer.

Windows 9x users: in order to run Geany on Windows 95, 98 or ME you need to install the file SHFolder.dll either in the Geany installation directory or in your Windows directory. For more information please visit http://support.microsoft.com/kb/241733.

Changed line 18 from:
  • complete build support (perhaps will be added later)
to:
  • build support (implemented but might be still buggy)
Deleted line 20:
May 21, 2007, at 05:16 PM by enrico - Updated for 0.11.
Added lines 12-13:

If you use the full installer, a GTK runtime is included and you don't need any additional software.

September 29, 2006, at 07:56 PM by nick - update windows build differences
Deleted line 14:
  • notification if file on disk has changed (perhaps will be added later)
September 18, 2006, at 05:13 PM by enrico - Removed missing feature notice for detecting a running instance
Changed lines 17-18 from:
  • support for detecting a running instance
to:
August 03, 2006, at 10:10 AM by nick - Added GTK runtime links and windows build differences
Changed lines 1-20 from:

Please read this for more information

to:

GTK+ runtime for Windows

To run Geany under Windows you need the GTK+ runtime libraries installer.

GTK+ runtime for Windows 2000 and newer: http://prdownloads.sourceforge.net/gimp-win/gtk%2B-2.8.18-setup-1.zip?download

GTK+ runtime for Windows NT/ME/98/95: http://prdownloads.sourceforge.net/gimp-win/gtk%2B-2.6.10-20050823-setup.zip?download

The Geany Windows executable can be downloaded from the Releases page.

Windows build differences

Some features are missing:

  • complete build support (perhaps will be added later)
  • notification if file on disk has changed (perhaps will be added later)
  • embedded terminal emulation (VTE, as far as I know there is nothing equal for Windows)
  • support for detecting a running instance

FYI, the original announcement for the Geany 0.7 Windows build: http://lists.uvena.de/pipermail/geany/2006-June/000134.html

August 03, 2006, at 09:53 AM by nick - Added initial stub
Added line 1:

Please read this for more information